Bug 245432

Summary: www/py-horizon: Update to 17.0.1
Product: Ports & Packages Reporter: Kai Knoblich <kai>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Only Me CC: alexander.nusov
Priority: --- Flags: bugzilla: maintainer-feedback? (alexander.nusov)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://docs.openstack.org/releasenotes/horizon/unreleased.html#relnotes-17-1-0
Bug Depends on: 245431    
Bug Blocks: 245309    
Attachments:
Description Flags
py-horizon-17.0.1.patch kai: maintainer-approval+

Description Kai Knoblich freebsd_committer 2020-04-07 19:56:17 UTC
Created attachment 213163 [details]
py-horizon-17.0.1.patch

Hi,

attached is the patch that updates www/py-horizon to 17.1.0 and assigns it to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life since April 2020.

Also assign www/py-django-babel and www/py-django-pyscss from Django 1.11 to Django 2.2

Please note that devel/py-osprofiler needs to be updated to 2.9.0 first (see bug #245431).

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Switch to Python 3.6 as some dependencies are only available for Python 3.6 or later

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py36, py37 and py38 flavor) -> OK
- portlint -> OK

Please note that no runtime tests were done, yet.
Comment 1 Kai Knoblich freebsd_committer 2020-04-22 06:20:30 UTC
Comment on attachment 213163 [details]
py-horizon-17.0.1.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout.
Comment 2 commit-hook freebsd_committer 2020-04-22 14:44:45 UTC
A commit references this bug:

Author: kai
Date: Wed Apr 22 14:44:22 UTC 2020
New revision: 532480
URL: https://svnweb.freebsd.org/changeset/ports/532480

Log:
  www/py-horizon: Update to 17.1.0

  * Also assign the port to Django 2.2 because Django 1.11 is End-of-Life
    since April.

  * Do the same for its dependencies and bump PORTREVISION accordingly.

  * Add an option to let users choose between the supported caching backends.

    Although databases/py-python-memcached isn't listed in requirements.txt
    it's used as default caching backend and needed at runtime.

  PR:		245432
  Approved by:	maintainer timeout (14 days)

Changes:
  head/www/py-django-babel/Makefile
  head/www/py-django-pyscss/Makefile
  head/www/py-horizon/Makefile
  head/www/py-horizon/distinfo